//////////////////////////////////////////////////////////////////////////
// providers section

var REG_NONE = NewRegistrar('none');
var PDNS = NewDnsProvider(
    'powerdns',
    {
        'dnssec_on_create': true
    }
);
var CF = NewDnsProvider(
    'cloudflare'
);

//////////////////////////////////////////////////////////////////////////
// turn off cloudflare proxying by default

DEFAULTS(
    CF_PROXY_DEFAULT_OFF
);

var domain;

//////////////////////////////////////////////////////////////////////////

// import util files
require_glob('utils/', false)

// import dynamic info
require_glob('dynamic/', false)

// import individual domain files
require_glob('domains/', false)

//////////////////////////////////////////////////////////////////////////
// end of file
